Package org.drinkless.tdlib

# Class TdApi.ChatJoinRequests

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatJoinRequests

Enclosing class:
  `TdApi`

public static class TdApi.ChatJoinRequests extends TdApi.Object
Contains a list of requests to join a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatJoinRequest[]`
  `requests`
  List of the requests.
  `int`
  `totalCount`
  Approximate total number of requests found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatJoinRequests()`
  Contains a list of requests to join a chat.
  `ChatJoinRequests(int totalCount, TdApi.ChatJoinRequest[] requests)`
  Contains a list of requests to join a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Approximate total number of requests found.

  - ### requests

    public TdApi.ChatJoinRequest[] requests
    List of the requests.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatJoinRequests

    public ChatJoinRequests()
    Contains a list of requests to join a chat.

  - ### ChatJoinRequests

    public ChatJoinRequests(int totalCount, TdApi.ChatJoinRequest[] requests)
    Contains a list of requests to join a chat.
    Parameters:
      `totalCount` - Approximate total number of requests found.
      `requests` - List of the requests.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR